Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v1
Class GetProfessionalAuthorisationsResponse

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v1.GetProfessionalAuthorisationsResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:31:40+02:00",
               comments="JAXB RI v2.2.6")
    public class GetProfessionalAuthorisationsResponse

extends Object
implements Serializable

Java class for GetProfessionalAuthorisationsResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetProfessionalAuthorisationsResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="profauid" type="{http://www.w3.org/2001/XMLSchema}long"/>
             <element name="qualificationList" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="startDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="endDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="enxclusiveInd" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="professionalAuthorisationList" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="professionalAuthorisation" type="{urn:be:fgov:ehealth:samcivics:type:v1}ProfessionalAuthorizationType" maxOccurs="unbounded"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetProfessionalAuthorisationsResponse()`

Method Summary
`org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
`String` | `getEnxclusiveInd()` Gets the value of the enxclusiveInd property.
`String` | `getName()` Gets the value of the name property.
`long` | `getProfauid()` Gets the value of the profauid property.
`ProfessionalAuthorisationList` | `getProfessionalAuthorisationList()` Gets the value of the professionalAuthorisationList property.
`String` | `getQualificationList()` Gets the value of the qualificationList property.
`org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
`void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
`void` | `setEnxclusiveInd(String value)` Sets the value of the enxclusiveInd property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setProfauid(long value)` Sets the value of the profauid property.
`void` | `setProfessionalAuthorisationList(ProfessionalAuthorisationList value)` Sets the value of the professionalAuthorisationList property.
`void` | `setQualificationList(String value)` Sets the value of the qualificationList property.
`void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetProfessionalAuthorisationsResponse

    public GetProfessionalAuthorisationsResponse()

Method Detail

### getProfauid

    public long getProfauid()

  Gets the value of the profauid property.

### setProfauid

    public void setProfauid(long value)

  Sets the value of the profauid property.

### getQualificationList

    public String getQualificationList()

  Gets the value of the qualificationList property.

  Returns:
    possible object is `String`

### setQualificationList

    public void setQualificationList(String value)

  Sets the value of the qualificationList property.

  Parameters:
    `value` - allowed object is `String`

### getStartDate

    public org.joda.time.DateTime getStartDate()

  Gets the value of the startDate property.

  Returns:
    possible object is `String`

### setStartDate

    public void setStartDate(org.joda.time.DateTime value)

  Sets the value of the startDate property.

  Parameters:
    `value` - allowed object is `String`

### getEndDate

    public org.joda.time.DateTime getEndDate()

  Gets the value of the endDate property.

  Returns:
    possible object is `String`

### setEndDate

    public void setEndDate(org.joda.time.DateTime value)

  Sets the value of the endDate property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getEnxclusiveInd

    public String getEnxclusiveInd()

  Gets the value of the enxclusiveInd property.

  Returns:
    possible object is `String`

### setEnxclusiveInd

    public void setEnxclusiveInd(String value)

  Sets the value of the enxclusiveInd property.

  Parameters:
    `value` - allowed object is `String`

### getProfessionalAuthorisationList

    public ProfessionalAuthorisationList getProfessionalAuthorisationList()

  Gets the value of the professionalAuthorisationList property.

  Returns:
    possible object is `ProfessionalAuthorisationList`

### setProfessionalAuthorisationList

    public void setProfessionalAuthorisationList(ProfessionalAuthorisationList value)

  Sets the value of the professionalAuthorisationList property.

  Parameters:
    `value` - allowed object is `ProfessionalAuthorisationList`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.